# module ActiveSupport::Multibyte

### Constants

VALID_CHARACTER

  Regular expressions that describe valid byte sequences for a character

### Public Class Methods

proxy_class() click to toggle source

Returns the current proxy class

    # File lib/active_support/multibyte.rb, line 20
    def self.proxy_class
      @proxy_class ||= ActiveSupport::Multibyte::Chars
    end

proxy_class=(klass) click to toggle source

The proxy class returned when calling mb_chars. You can use this accessor to configure your own proxy class so you can support other encodings. See the ActiveSupport::Multibyte::Chars implementation for an example how to do this.

Example:

    ActiveSupport::Multibyte.proxy_class = CharsForUTF32

    # File lib/active_support/multibyte.rb, line 15
    def self.proxy_class=(klass)
      @proxy_class = klass
    end